Subject: Re: bug#17972: frameset to save/restore frames on the right workspace in virtual desktops

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Jul 2014 09:44:18 -0400

> Is there any hope of frameset.el (or Emacs in general) being able to
> learn about virtual desktops with multiple workspaces?

My window manager does store the "workspace name" into the window's
properties (I think it does it mostly so that kill&restart of the
window-manager doesn't lose this info), so the info is accessible
to Emacs.

The freedesktop.org "standards" says that the _NET_WM_DESKTOP property
should hold the "desktop number".  Of course, the window-manager I use
does not follow this "standard" since it allows windows to be in several
workspaces rather than only in one or only in all.

        Stefan